/*
PlutoISA
Copyright (C) 2024  Patrick_Pluto

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

#include "cpu.hpp"

using namespace std;

int main ( int argc, char *argv[] ) {
    const char *filename = argv[1];
    const int rom_size = 256;

    ifstream file ( filename, ios::binary );

    uint8_t *rom = ( uint8_t * ) malloc ( rom_size * sizeof ( uint8_t ) );

    file.read ( reinterpret_cast<char*> ( rom ), rom_size );

    cpuEmulation ( rom );
}
